LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDrawPageDuplicator Interface Referencepublished

makes it possible to duplicate pages within the same document. More...

`import"XDrawPageDuplicator.idl";`

Inheritance diagram for XDrawPageDuplicator:

## Public Member Functions
com::sun::star::drawing::XDrawPage | duplicate ([in] com::sun::star::drawing::XDrawPage xPage)
| creates a duplicate of a DrawPage or MasterPage, including the Shapes on that page and inserts it into the same model. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to duplicate pages within the same document.

Developers Guide
  Drawings and Presentations - Working with Drawing Documents - Page Handling

## Member Function Documentation

## ◆ duplicate()

com::sun::star::drawing::XDrawPage duplicate | ( | [in] com::sun::star::drawing::XDrawPage | xPage | ) |

creates a duplicate of a DrawPage or MasterPage, including the Shapes on that page and inserts it into the same model.

Parameters

  xPage | that is the source DrawPage or MasterPage that will be duplicated

Returns
  a newly created DrawPage or MasterPage that as all properties and copies of all Shapes from the source page.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawPageDuplicator.idl